/*Copyright (C) 2010-2012 Duncan Deveaux

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_PLAYER_KEYS
#define DEF_PLAYER_KEYS

#include <SDL/SDL.h>

//Class defining methods to get and set player's keys safely.
class PlayerKeys
{
    public:
        PlayerKeys();
        PlayerKeys(const SDLKey &attack, const SDLKey &jump, const SDLKey &moveLeft, const SDLKey &moveRight);
        
        void setAttackKey(const SDLKey &attackKey);
        const SDLKey &getAttackKey() const;
        
        void setJumpKey(const SDLKey &jumpKey);
        const SDLKey &getJumpKey() const;
        
        void setMoveLeftKey(const SDLKey &moveLeftKey);
        const SDLKey &getMoveLeftKey() const;
        
        void setMoveRightKey(const SDLKey &moveRightKey);
        const SDLKey &getMoveRightKey() const;
    
    private:
        SDLKey m_attack;
        SDLKey m_jump;
        
        SDLKey m_moveLeft;
        SDLKey m_moveRight;
};

#endif
